Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::String_var Class Reference

CORBA::String var class. More...

`#include <CORBA_String.h>`

List of all members.

## Public Methods
| String_var (void)
| Default constructor.
| String_var (char *p)
| Constructor, owns p.
| String_var (const char *p)
| constructor. Makes a copy of p.
| String_var (const String_var &s)
| copy constructor.
| ~String_var (void)
| destructor.
String_var & | operator= (char *p)
| assignment operator.
String_var & | operator= (const char *p)
| assignment to a const char*. Makes a copy.
String_var & | operator= (const String_var &s)
| assignment operator.
| operator char *& ()
| Spec-defined read/write version.
| operator const char * () const
| only read privileges.
char & | operator[] (CORBA::ULong slot)
| allows access and modification using an slot.
char | operator[] (CORBA::ULong slot) const
| allows only accessing thru an slot.
const char * | in (void) const
| for in parameter.
char *& | inout (void)
| for inout parameter.
char *& | out (void)
| for out parameter.
char * | _retn (void)
| for string of return type.
char * | ptr (void)
| TAO extension.
## Private Attributes
char * | ptr_
| instance.

## Detailed Description

CORBA::String var class.

Provides automatic deallocation of storage for the string once it goes out of scope.

## Constructor & Destructor Documentation

ACE_INLINE CORBA::String_var::String_var | ( | void |  | ) |

| Default constructor.

CORBA::String_var::String_var | ( | char * | p | ) |

| Constructor, owns p.

ACE_INLINE CORBA::String_var::String_var | ( | const char * | p | ) |

| constructor. Makes a copy of p.

CORBA::String_var::String_var | ( | const String_var & | s | ) |

| copy constructor.

CORBA::String_var::~String_var | ( | void |  | ) |

| destructor.

## Member Function Documentation

ACE_INLINE char * CORBA::String_var::_retn | ( | void |  | ) |

| for string of return type.

ACE_INLINE const char * CORBA::String_var::in | ( | void |  | ) | const

| for in parameter.

ACE_INLINE char *& CORBA::String_var::inout | ( | void |  | ) |

| for inout parameter.

ACE_INLINE CORBA::String_var::operator char *& | ( |  | ) |

| Spec-defined read/write version.

ACE_INLINE CORBA::String_var::operator const char * | ( |  | ) |

| only read privileges.

CORBA::String_var & CORBA::String_var::operator= | ( | const String_var & | s | ) |

| assignment operator.

CORBA::String_var & CORBA::String_var::operator= | ( | const char * | p | ) |

| assignment to a const char*. Makes a copy.

CORBA::String_var & CORBA::String_var::operator= | ( | char * | p | ) |

| assignment operator.

ACE_INLINE CORBA::Char CORBA::String_var::operator[] | ( | CORBA::ULong | slot | ) | const

| allows only accessing thru an slot.

ACE_INLINE CORBA::Char & CORBA::String_var::operator[] | ( | CORBA::ULong | slot | ) |

| allows access and modification using an slot.

ACE_INLINE char *& CORBA::String_var::out | ( | void |  | ) |

| for out parameter.

ACE_INLINE char * CORBA::String_var::ptr | ( | void |  | ) |

| TAO extension.

## Member Data Documentation

char* CORBA::String_var::ptr_`[private]`

| instance.

The documentation for this class was generated from the following files:

- CORBA_String.h
- CORBA_String.cpp
- CORBA_String.inl